Vector Store APIs¶
The Vector Store APIs allow you to create, manage, and search vector stores in Rememberizer. Vector stores enable you to store and retrieve documents using semantic similarity search.
Available Vector Store Endpoints¶
Management Endpoints¶
- Get vector store's information
- Get a list of documents in a Vector Store
- Get the information of a document
Document Operations¶
- Add new text document to a Vector Store
- Upload files to a Vector Store
- Update file's content in a Vector Store
- Remove a document in Vector Store
Search Operations¶
Creating a Vector Store¶
To create a new Vector Store, use the following endpoint:
Request Body¶
{
"name": "Store name",
"description": "Store description",
"embedding_model": "sentence-transformers/all-mpnet-base-v2",
"indexing_algorithm": "ivfflat",
"vector_dimension": 128,
"search_metric": "cosine_distance"
}
Response¶
{
"id": "store_id",
"name": "Vector Store Name",
"description": "Store description",
"created": "2023-05-01T00:00:00Z",
"modified": "2023-05-01T00:00:00Z"
}
Vector Store Configurations¶
To retrieve available configurations for vector stores, use:
This will return available embedding models, indexing algorithms, and search metrics that can be used when creating or configuring vector stores.
Authentication¶
All Vector Store endpoints require authentication using either:
- JWT token for management operations
- API key for document and search operations